Package com.io7m.cedarbridge.bridgedoc.spi

# Record Class CBSPIDocGeneratorConfiguration

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.bridgedoc.spi.CBSPIDocGeneratorConfiguration

Record Components:
  `outputDirectory` - The directory to which documentation is written

public record CBSPIDocGeneratorConfiguration(Path outputDirectory) extends Record
Configuration information for documentation generators.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBSPIDocGeneratorConfiguration(Path outputDirectory)`
  Configuration information for documentation generators.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Path`
  `outputDirectory()`
  Returns the value of the `outputDirectory` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBSPIDocGeneratorConfiguration

    public CBSPIDocGeneratorConfiguration(Path outputDirectory)
    Configuration information for documentation generators.
    Parameters:
      `outputDirectory` - The directory to which documentation is written

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### outputDirectory

    public Path outputDirectory()
    Returns the value of the `outputDirectory` record component.
    Returns:
      the value of the `outputDirectory` record component